import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimArgsObjectSchema as ClaimArgsObjectSchema } from './ClaimArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  claimId: z.boolean().optional(),
  filename: z.boolean().optional(),
  mimeType: z.boolean().optional(),
  filePath: z.boolean().optional(),
  claim: z.union([z.boolean(), z.lazy(() => ClaimArgsObjectSchema)]).optional()
}).strict();
export const ClaimFileSelectObjectSchema: z.ZodType<Prisma.ClaimFileSelect> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileSelect>;
export const ClaimFileSelectObjectZodSchema = makeSchema();
